# This is the main installation script for the HPC systems JUWELS and HDFML operated by JSC.
# It loads all preinstalled HPC-modules, installs additional packages via pip3, and finally creates the sbatch-runscripts.
# If you use other HPC-systems you can use this script and related scripts in HPC_setup/ as blue print.
# __author__ = Felix Kleinert

basepath=${PWD}/
settingpath=HPC_setup/

if [[ $HOSTNAME == *"juwels"* ]]; then
  echo "You are on juwels. Prepare env for juwels..."
  hpcsys="juwels"
elif [[ $HOSTNAME == *"hdfml"* ]]; then
  echo  "You are on hdfml. Prepare env for hdfml..."
  hpcsys="hdfml"
else
  echo "Unknown hpc host \`$HOSTNAME\`. Script only works on juwels and hdfml."
  echo "exit"
  exit
fi

echo "execute: HPC_setup/setup_venv_${hpcsys}.sh $basepath$settingpath"
source HPC_setup/setup_venv_${hpcsys}.sh $basepath$settingpath

echo "execute: HPC_setup/create_runscripts_HPC.sh $hpcsys $basepath"
source HPC_setup/create_runscripts_HPC.sh $hpcsys $basepath

